package org.rhq.plugins.service;

import java.util.Set;
import java.util.Random;

import org.rhq.core.domain.measurement.AvailabilityType;
import org.rhq.core.domain.measurement.MeasurementDataNumeric;
import org.rhq.core.domain.measurement.MeasurementReport;
import org.rhq.core.domain.measurement.MeasurementScheduleRequest;
import org.rhq.core.pluginapi.inventory.InvalidPluginConfigurationException;
import org.rhq.core.pluginapi.inventory.ResourceComponent;
import org.rhq.core.pluginapi.inventory.ResourceContext;
import org.rhq.core.pluginapi.measurement.MeasurementFacet;

public class userComponent implements ResourceComponent, MeasurementFacet
{

	Random randuser	=	new	Random();
	int validlogin;
	int validlogoff;
	int invalidlogin;
	int activeuser;

	public AvailabilityType getAvailability()
	{
		return AvailabilityType.UP;
	}

	public void start(ResourceContext context) throws InvalidPluginConfigurationException, Exception
	{
	}

	public void stop() {}

	public void getValues(MeasurementReport report, Set<MeasurementScheduleRequest> metrics) throws Exception
	{
		for (int id=1;id<=10;id++)
		{

			validlogin		=	randuser.nextInt(200);
			validlogoff		=	randuser.nextInt(200);
			invalidlogin	=	randuser.nextInt(200);
			activeuser		=	randuser.nextInt(200);

			for(MeasurementScheduleRequest request : metrics)
			{
				if(request.getName().equals("validLogin"))
				{
					report.addData(new MeasurementDataNumeric(request,new Double(validlogin)));
				}
				if(request.getName().equals("validLogoff"))
				{
					report.addData(new MeasurementDataNumeric(request,new Double(validlogoff)));
				}
				if(request.getName().equals("invalidLogin"))
				{
					report.addData(new MeasurementDataNumeric(request,new Double(invalidlogin)));
				}
				if(request.getName().equals("activeUsers"))
				{
					report.addData(new MeasurementDataNumeric(request, new Double(activeuser)));
				}
			}
		}
	}
}